# PrintPrepare Class Reference

`#include <printprepare.h>`

List of all members.

## Public Member Functions
| PrintPrepare (PageCtrl *pageCtrl, Prototype *prototype, ImportExport *importExport)
virtual | ~PrintPrepare ()
QString | prepareCurrentSucosoftHeader (QString SucosoftHeader)
void | prepareCurrentPage (QStringList *printList, QString SucosoftHeader)
## Public Attributes
bool | printDeclarations
| flag print declaration section
bool | printInstructions
| flag print instruction section
bool | printPrototype
| flag print prototype section
bool | printPOUI
| flag print POU info section
## Private Attributes
PageCtrl * | m_PageCtrl
| instance of PageCtrl class
Prototype * | m_Prototype
| instance of Prototype class
ImportExport * | m_ImportExport
| instance of ImportExport class

## Constructor & Destructor Documentation

PrintPrepare::PrintPrepare | ( | PageCtrl * | pageCtrl,
|  | Prototype * | prototype,
|  | ImportExport * | importExport |
| ) |  |  |

creating function

Parameters:

  | PageCtrl | class, Protoype class, ImportExport class

PrintPrepare::~PrintPrepare | ( |  | ) | `[virtual]`

virtual destructor

## Member Function Documentation

void PrintPrepare::prepareCurrentPage | ( | QStringList * | printList,
|  | QString | SucosoftHeader |
| ) |  |  |

print content of current page

QString PrintPrepare::prepareCurrentSucosoftHeader | ( | QString | SucosoftHeader | ) |

return prepformatted Moeller header

## Member Data Documentation

ImportExport* PrintPrepare::m_ImportExport`[private]`

instance of ImportExport class

PageCtrl* PrintPrepare::m_PageCtrl`[private]`

instance of PageCtrl class

Prototype* PrintPrepare::m_Prototype`[private]`

instance of Prototype class

bool PrintPrepare::printDeclarations

flag print declaration section

bool PrintPrepare::printInstructions

flag print instruction section

bool PrintPrepare::printPOUI

flag print POU info section

bool PrintPrepare::printPrototype

flag print prototype section

The documentation for this class was generated from the following files:

- printprepare.h
- printprepare.cpp